# Returns a cogs entry from the system by its ID. This method will look up a cogs entry by the specified ID and return it back. Endpoint: GET /cogsEntries/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the cogs entry to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `bin_id` (string) The bin - `business_unit_id` (string, required) The business unit - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date of the entry - `fiscal_period` (number, required) The fiscal period of the entry - `fiscal_year_id` (string, required) The fiscal year of the entry - `id` (string, required) The unique, string identifier of this cogs entry - `inventory_adjustment_id` (string, required) A pointer to the inventory adjustment transaction that generated this entry - `inventory_fulfillment_id` (string, required) A pointer to the inventory fulfillment transaction that generated this entry - `inventory_receipt_id` (string, required) A pointer to the inventory receipt transaction that generated this entry - `inventory_return_id` (string, required) A pointer to the inventory return transaction that generated this entry - `inventory_transaction_id` (string, required) A pointer to the inventory transaction that generated this entry - `notes` (string) Notes/description of this entry - `order_id` (string) The order to which this entry is connected - `order_line_item_id` (string) The order line item to which this entry is connected - `parent_cogs_entry_id` (string) The parent COGS entry for this one - `product_id` (string, required) The product ID - `product_inventory_id` (string, required) The product inventory being supported by this entry - `product_type` (string, required) The type of the product - `quantity` (integer, required) The quantity represented in the COGS entry - `status` (string, required) The status of the entry Enum: "open", "processed" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_fiscal_period_id` (string) System field to store year + period - DO NOT USE - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total_cost` (number, required) The total cost - `type` (string, required) The type of entry Enum: "adjustment", "fulfillment", "receipt", "return" - `unit_cost` (number, required) The unit cost - `warehouse_id` (string, required) The warehouse ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields